Subject: bug#61204: closed (Re: [PATCH v2 3/3] gnu: Add scilab.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 30 Mar 2023 20:44:01 +0000

Your bug report

#61204: Scilab scientific software

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61204: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61204
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH v2 3/3] gnu: Add scilab.
From: Ludovic Courtès <[email-masked]>
To: Nicolas Graves <[email-masked]>
Cc: [email-masked]
Date: Thu, 30 Mar 2023 22:43:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Nicolas,

Nicolas Graves <[email-masked]> skribis:

> * gnu/packages/maths.scm (scilab): New variable.

Applied all three patches with the license change below: I checked
‘COPYING’ and scanned a bunch of files, and it’s consistently
CeCILL v2.1.

Thanks!

Ludo’.

diff --git a/gnu/packages/maths.scm b/gnu/packages/maths.scm
index 0d7035df4e..72dccd04bf 100644
--- a/gnu/packages/maths.scm
+++ b/gnu/packages/maths.scm
@@ -8755,4 +8755,4 @@ (define-public scilab
 statistical analysis, image enhancement, fluid dynamics simulations, numerical
 optimization, and modeling, simulation of explicit and implicit dynamical
 systems and symbolic manipulations.")
-    (license license:gpl2)))
+    (license license:cecill)))                    ;CeCILL v2.1

Subject: Scilab scientific software
From: Nicolas Graves <[email-masked]>
To: [email-masked]
Date: Wed, 01 Feb 2023 02:07:00 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi guix!

I took a job where I have to use the scientific software suite Scilab in
an old version (5.4.1). I'll probably update it during this job.

I managed to package this version in the non-graphical version of Scilab
5.5.X versions this weekend.

It needs some old software libraries (metis@4, suitesparse@3), which
releases are not even in guix's history, and some compilation errors
fixes.

I go ahead and propose these patches in the next patches. I may continue
to work to propose updates up to the latest versions, but they need some
more work.

-- 
Best regards,
Nicolas Graves